using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Mateja_Radosavljevic
{
    internal class Program
    {
        private static void Main(string[] args, long n)
        {
            long broj = 0;
          

            long a = long.Parse(Console.ReadLine());
            long[] poklon = Array.ConvertAll(Console.ReadLine().Split(' '), long.Parse);
            string[] s = Console.ReadLine().Split(' ');
            long L = long.Parse(s[0]);
            long R = long.Parse(s[1]);
            long Q = long.Parse(Console.ReadLine());
            var Lista = new List<int>();
            for (long j = L - 1; j < R; j++)
            {
                Lista.Add((int)poklon[j]);
            }
            for (int j = 0; j < R; j++)
            {
                Lista.Remove((int)poklon[j]);
            }
            
            string[] output = Console.ReadLine().Split(' ');

            int i = 0;
            if (n == 1)
            {
                Console.WriteLine("DA");
            }
            else if (broj > 1)
            {
                Console.WriteLine("NE");
            }

            if (Lista[i] > Lista[i + 1])
            {
                broj++;
            }


            Console.ReadLine();
        }
    }
}